Data API

Api for getting marketplace data stats

Get collection activity

get
/data/collections/activity

Retrieves trading activity history for a specific collection based on its slug

Query parameters
slugstringRequired

The slug identifier of the collection

Example: satoshibles-the-ordinals
startDatestring · date · nullableOptional

Filter activities from this date (format YYYY-MM-DD). By default, it will filter activities from the last 7 days.

Example: 2023-05-15
pageintegerOptional

Page number for pagination

Default: 0Example: 0
limitinteger · min: 20 · max: 100Optional

Number of records to return per page (between 20 and 100)

Default: 100Example: 50
orderstring · enumOptional

Sort order for activities (ascending or descending)

Default: descExample: descPossible values:
Responses
chevron-right
200

Successfully retrieved collection activity

application/json
inscription_idstringOptional

ID of the inscription involved in the activity

Example: a7728650494b3248c9ae858ea75ea6db5645326a314610f6e741931e48955349i125
inscription_namestringOptional

Name of the inscription

Example: Lunatics #1293
maker_addressstringOptional

Seller/maker address

Example: bc1pgnwmg7wplc09cm9fctgmgalu7l4synjh7khwzre9qlcvg5xy0k5qz9mwe3
taker_addressstring · nullableOptional

Buyer/taker address (can be null)

Example: bc1pfg3a9kqup6r072v88dv70zzd494fnhl03k5a58vye9hwkakp7dgs3rte2e
collection_slugstringOptional

Slug of the collection

Example: lunatics
collection_namestringOptional

Name of the collection

Example: Lunatics
pricenumberOptional

Price in satoshis

Example: 100000
trade_timestampstring · date-timeOptional

Timestamp when the trade occurred

Example: 2025-05-23T12:04:39.396396
transaction_idstringOptional

Bitcoin transaction ID

Example: d5606231ca95f33190c1606b83df5b1e1058bc10dbe4603006ac9134b4d87b42
thumbnail_urlstringOptional

URL to the inscription thumbnail image

Example: https://ordinalsbot-prod.s3.amazonaws.com/inscription-thumbnails/a7728650494b3248c9ae858ea75ea6db5645326a314610f6e741931e48955349i125.jpeg
get
/data/collections/activity

Last updated